Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Crossovers/GVRCrossover.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Crossovers/GVRCrossover.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Crossovers/GVRCrossover.cs	(revision 15018)
@@ -38,5 +38,5 @@
 
     [StorableConstructor]
-    private GVRCrossover(bool deserializing) : base(deserializing) { }
+    private GVRCrossover(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public GVRCrossover() {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/GVREncoding.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/GVREncoding.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/GVREncoding.cs	(revision 15018)
@@ -81,5 +81,5 @@
 
     [StorableConstructor]
-    protected GVREncoding(bool serializing)
+    protected GVREncoding(StorableConstructorFlag serializing)
       : base(serializing) {
     }
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRDisplacementManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRDisplacementManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRDisplacementManipulator.cs	(revision 15018)
@@ -30,5 +30,5 @@
   public sealed class GVRDisplacementManipulator : GVRManipulator {
     [StorableConstructor]
-    private GVRDisplacementManipulator(bool deserializing) : base(deserializing) { }
+    private GVRDisplacementManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public GVRDisplacementManipulator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRInsertionManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRInsertionManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRInsertionManipulator.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public sealed class GVRInsertionManipulator : GVRManipulator {
     [StorableConstructor]
-    private GVRInsertionManipulator(bool deserializing) : base(deserializing) { }
+    private GVRInsertionManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public GVRInsertionManipulator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRInversionManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRInversionManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRInversionManipulator.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public sealed class GVRInversionManipulator : GVRManipulator {
     [StorableConstructor]
-    private GVRInversionManipulator(bool deserializing) : base(deserializing) { }
+    private GVRInversionManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public GVRInversionManipulator()
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRManipulator.cs	(revision 15018)
@@ -37,5 +37,5 @@
 
     [StorableConstructor]
-    protected GVRManipulator(bool deserializing) : base(deserializing) { }
+    protected GVRManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public GVRManipulator() {
Index: branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRSwapManipulator.cs
===================================================================
--- branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRSwapManipulator.cs	(revision 14929)
+++ branches/PersistenceReintegration/HeuristicLab.Problems.VehicleRouting/3.4/Encodings/GVR/Manipulators/GVRSwapManipulator.cs	(revision 15018)
@@ -29,5 +29,5 @@
   public sealed class GVRSwapManipulator : GVRManipulator {
     [StorableConstructor]
-    private GVRSwapManipulator(bool deserializing) : base(deserializing) { }
+    private GVRSwapManipulator(StorableConstructorFlag deserializing) : base(deserializing) { }
 
     public GVRSwapManipulator()
